package picoContainer;

import org.picocontainer.DefaultPicoContainer;
import org.picocontainer.MutablePicoContainer;

@SuppressWarnings("unused")
public class Main {
	public static void main(String[] args) {
		MutablePicoContainer p = new DefaultPicoContainer();
		p.addComponent(Jablko.class);
		p.addComponent(Juicer.class);
		p.addComponent(Skrabka.class);
		
		Juicer juicer = (Juicer) p.getComponent(Juicer.class);  
	}
}
